V1.0
get
/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{subjectId}/nextVisitAction
Fetches the next recommended action for the subject's visit schedule, such as dispensing medication or collecting samples.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
3F2504E04F8911D39A0C0305E82C3301 -
subjectId(required): string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Next visit action for the subject returned.
Root Schema : SubectNextVisitActionResultDto
Type:
Show Source
object-
nextVisitAction: integer
(int32)
Next Visit Action will happen. Its values can be SCREEN_ENABLE, SCREEN_DISABLE, RANDOMIZE_ENABLE, RANDOMIZE_DISABLE, DISPENSE_ENABLE, DISPENSE_DISABLE, COMPLETE_STUDY_ENABLE, COMPLETE_STUDY_DISABLE
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object